#include    "mbed.h"
#include    "calc.h"
#include    <ctype.h>

#define     BUFSIZE 100

char    buf[ BUFSIZE ];
int     bufp    = 0;

int getch( void )
{
#if 1
    int c;
    c   = (bufp > 0) ? buf[ --bufp ] : getchar();
    if ( isprint( c ) && c != ' ' )
        printf( "[%c]\r\n", c );
    return c;
#else
    return (bufp > 0) ? buf[ --bufp ] : getchar();
#endif
}


void ungetch( int c )
{
    if ( bufp >= BUFSIZE )
        printf( "ungetch: too many characters\n" );
    else
        buf[ bufp++ ]   = c;
}

