#include    "mbed.h"
#include    "calc.h"

#define     MAXVAL  100

int     sp  = 0;
double  val[ MAXVAL ];

void push( double f )
{
    if ( sp < MAXVAL )
        val[ sp++ ] = f;
    else
        printf( "error: stack full, can't push %g\n", f );
}


double pop( void )
{
    if ( sp > 0 )
        return val[ --sp ];
    else {
        printf( "error: stack empty\n" );
        return 0.0;
    }
}

void show_stack( void )
{
    for ( int i = 0; i < sp; i++ )
        printf( "%3d: %f\n", ((sp - 1) - i), val[ i ] );
}
